/**
 *
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved
 */
package com.topcoder.document.index.persistence;

import com.topcoder.document.index.persistence.impl.db.AbstractDBIndexPersistenceTestCase;
import com.topcoder.document.index.persistence.impl.db.FastAccessDBIndexPersistenceTestCase;
import com.topcoder.document.index.persistence.impl.db.SimpleAccessDBIndexPersistenceTestCase;
import com.topcoder.document.index.persistence.impl.xml.XmlIndexPersistenceConstructorTestCase;
import com.topcoder.document.index.persistence.impl.xml.XmlIndexPersistenceMethodTestCase;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/**
 * <p>This test case aggregates all Unit test cases.</p>
 *
 * @author TopCoder
 * @version 1.0
 */
public class UnitTests extends TestCase {

    public static Test suite() {
        final TestSuite suite = new TestSuite();

        // Unit tests
        suite.addTest(ExceptionTestCase.suite());
        suite.addTest(IndexPersistenceHelperTestCase.suite());
        suite.addTest(XmlIndexPersistenceConstructorTestCase.suite());
        suite.addTest(XmlIndexPersistenceMethodTestCase.suite());
        suite.addTest(AbstractDBIndexPersistenceTestCase.suite());
        suite.addTest(FastAccessDBIndexPersistenceTestCase.suite());
        suite.addTest(SimpleAccessDBIndexPersistenceTestCase.suite());

        // Demo
        suite.addTest(Demo.suite());

        return suite;
    }

}











